#include <iostream>
#include <assert.h>
#include "BloodPressure.h"

void BloodPressure::set(float systolic, float diastolic)
{
    assert(systolic >= diastolic);
    mSystolic = systolic;
    mDiastolic = diastolic;
}

void BloodPressure::get(float *systolic, float *diastolic)
{
    *systolic = mSystolic;
    *diastolic = mDiastolic;
}

void BloodPressure::printOn(std::ostream &os) const
{
    Measurement::printOn(os);
    os << "BP: " << mSystolic << " / " << mDiastolic;
}