#ifndef BloodPressure_h
#define BloodPressure_h

#include "Measurement.h"

class BloodPressure : public Measurement
{
public:
    BloodPressure() : mSystolic(0.0),mDiastolic(0.0) {}
    void set(float systolic, float diastolic);
    void get(float *systolic, float *diastolic);

    void printOn(std::ostream &os) const;
private:
    float mSystolic;
    float mDiastolic;
};



#endif