#ifndef Doctor_h
#define Doctor_h 1

#include <string>
#include "Hospital.h"

class Patient;

class Doctor
{
public:
    ~Doctor();
    std::string getName() const {return mName;}
    void setName(const std::string &n) {mName = n;}

    void assignPatient(Patient *p);

    void dropPatient(Patient *p);

private:
    Doctor & operator=(const Doctor &right); // Disallow

    std::string mName;

    PatientRoster mAssignedPatients;
};

#endif
