#include "Doctor.h"
#include "Patient.h"

Doctor::~Doctor()
{
    for(PatientRoster::iterator it=mAssignedPatients.begin();
        it != mAssignedPatients.end();
        ++it)
    {
        Patient *p = *(it);
        p->setDoctor(NULL);
    }
}

void Doctor::assignPatient(Patient *p) 
{
    mAssignedPatients.insert(p); 
    p->setDoctor(this);
}

void Doctor::dropPatient(Patient *p)
{
    mAssignedPatients.erase(p);
    p->setDoctor(NULL);
}


