#include <iostream>
#include "Hospital.h"
#include "Doctor.h"
#include "Patient.h"
#include "Measurement.h"
#include "BloodPressure.h"
#include "Pulse.h"

void main()
{
    Hospital::theHospital().setName("General Hospital");
    Doctor joe;
    joe.setName("Joseph Long");
    
    Patient *bob = new Patient;
    bob->setName("Robert A.");
    bob->setAccountNo("3438939843");
    Hospital::theHospital().addPatient(bob);

    joe.assignPatient(bob);

    Pulse *pulse = new Pulse;
    pulse->setBPM(110);
    bob->addMeasurement(pulse);

    BloodPressure *bp = new BloodPressure;
    bp->set(120.0,80.0);
    bob->addMeasurement(bp);

    Patient *biff = new Patient;
    biff->setName("Biff Wiggins");
    biff->setAccountNo("38398343");

    Hospital::theHospital().addPatient(biff);

    joe.assignPatient(biff);

    Hospital &h = Hospital::theHospital();
    for(PatientRoster::iterator it=h.begin();
        it!=h.end();
        ++it)
        {
            cout << (**it) << endl;
        }

    bob->releaseFromHospital();
    delete bob;
}
