#ifndef Measurement_h
#define Measurement_h

#include "Time.h"

class Measurement
{
public:
    virtual ~Measurement();
    virtual void printOn(std::ostream &os) const;

    void setTime(Time const &t) {mTime = t;}
    Time getTime() const {return mTime;}
private:
    Time mTime;
};

std::ostream &operator<<(std::ostream &os,Measurement const &m); 

#endif