#ifndef Time_h
#define Time_h 1

#include <iosfwd>
#include <time.h>

class Time
{
public:
    Time() {setToNow();}

    void setToNow() {time(&mTime);}

    void set(int year, int month, int day, int hour, int min, int sec);
    void get(int *year, int *month, int *day, int 
             *hour, int *min, int *sec) const;

    friend std::ostream &operator<<(std::ostream &, Time const &);
private:
    time_t mTime;
};

std::ostream &operator<<(std::ostream &os,Time const & t);

#endif
